Make sure you are joining a server hosted on the provided exe for 1.3.0.7 only and not other servers that have been hosted with other tools.


If you attempt to join a version that is not 1.3.0.7 and you encounter any issues we’re sorry but we are not able to provide support as this is not a supported functionality of the game.


In general, we don’t recommend the usage of 3rd party apps at this time either.